apply plugin: 'com.android.application'

dependencies {
    implementation fileTree(dir: 'libs', include: '*.jar')
    implementation project(':YoctoLib')
}

android {
    compileSdk 35

    defaultConfig {
        versionCode 75129
        versionName "2.0.75129"
        minSdkVersion 21
        targetSdkVersion 34
    }

    signingConfigs {
        release {
            storeFile file("../../../AndroidKeyStore")
            storePassword System.getenv("ANDROID_KSTORE_PWD")
            keyPassword System.getenv("ANDROID_KEY_PWD")
            keyAlias  System.getenv("ANDROID_KEY_NAME")
        }
    }
    buildTypes {
        release {
            signingConfig signingConfigs.release
        }
    }
    lint {
        abortOnError false
    }
    namespace 'com.yoctopuce.doc_examples'

}

